#!/bin/sh

case "$1" in
PCCARD)
	sed	-e '/SYSV/d' \
		-e '/vn/d' \
		-e '/pty/d' \
		-e '/PROCFS/d' \
		-e '/KTRACE/d' \
		-e '/DDB/d' \
		-e '/DIAGNOSTIC/d' \
		-e '/LINE30/d' \
		-e '/APM/d' \
		-e '/PCIC/d' \
		-e '/SYSV/d' \
		-e '/SCSI_DETACH/d' \
		-e '/ATAPI_DETACH/d' \
		-e '/controller.*ahc/d' \
		-e '/controller.*ncr/d' \
		-e '/device.*mse/d' \
		-e '/device.*apm/d' \
		-e '/pseudo-device.*bpf/d' \
		-e 's/PAO98/BOOT_&/g' \
		-e '/maxusers/s/32/4/'
	#echo "options  MFS"
	echo "options  NFS_NOSERVER"
	#echo 'options  "MAXCONS=4"'
	echo "options  USERCONFIG_BOOT"
	echo "options  SCSI_NO_OP_STRINGS" 
	echo "options  SCSI_NO_SENSE_STRINGS"
	;;
FD144X)
	sed	-e '/SYSV/d' \
	  	-e '/LINE30/d' \
	  	-e '/ft0/d' \
	  	-e '/wfd0/d' \
	  	-e '/vn/d' \
		-e '/pty/d' \
		-e '/PROCFS/d' \
		-e '/KTRACE/d' \
		-e '/DDB/d' \
		-e '/UCONSOLE/d' \
		-e '/apm0/d' \
		-e '/APM_BROKEN_STATCLOCK/d' \
		-e '/st0/d' \
		-e '/lpt0/d' \
		-e 's/GENERIC98/BOOTMFS/g' \
		-e '/maxusers/s/32/4/'
	echo "options  NFS_NOSERVER"
	#echo 'options  "MAXCONS=4"'
	echo "options  USERCONFIG_BOOT"
	echo "options  SCSI_NO_OP_STRINGS" 
	echo "options  SCSI_NO_SENSE_STRINGS"
	;;
PC98X)
	sed	-e '/pty/d' \
		-e '/pass0/d' \
		-e '/apm0/d' \
	  	-e '/ft0/d' \
		-e '/ppp/d' \
		-e '/gzip/d' \
		-e '/PROCFS/d' \
	  	-e '/SYSV/d' \
		-e '/KTRACE/d' \
	  	-e '/LINE30/d' \
	  	-e '/wfd0/d' \
	  	-e '/vn/d' \
		-e '/DDB/d' \
		-e '/UCONSOLE/d' \
		-e '/APM_BROKEN_STATCLOCK/d' \
		-e '/st0/d' \
		-e '/lpt0/d' \
		-e '/device.*sa0/d' \
		-e '/pci0/d' \
		-e '/zp0/d' \
		-e '/de0/d' \
		-e '/fxp0/d' \
		-e '/tx0/d' \
		-e '/vx0/d' \
		-e '/xl0/d' \
		-e '/tl0/d' \
		-e 's/GENERIC98/BOOTMFS/g' \
		-e '/maxusers/s/32/4/'
	echo "options  NFS_NOSERVER"
	#echo 'options  "MAXCONS=4"'
	echo "options  SCSI_NO_OP_STRINGS"
	echo "options  SCSI_NO_SENSE_STRINGS"
	echo "options  USERCONFIG_BOOT"
	;;
FD144|PC98)
	sed	-e '/pty/d' \
	  	-e '/LINE30/d' \
		-e '/pass0/d' \
		-e '/apm0/d' \
		-e '/ppp/d' \
		-e '/gzip/d' \
		-e '/splash/d' \
		-e '/PROCFS/d' \
		-e '/KTRACE/d' \
		-e '/SYSVMSG/d' \
		-e 's/GENERIC98/BOOTMFS/g'

	echo "options  NFS_NOSERVER" 
	echo "options  SCSI_NO_OP_STRINGS" 
	echo "options  SCSI_NO_SENSE_STRINGS"
	;;
'')	# AT
	sed	-e '/pty/d' \
		-e '/pass0/d' \
		-e '/apm0/d' \
		-e '/ppp/d' \
		-e '/gzip/d' \
		-e '/splash/d' \
		-e '/PROCFS/d' \
		-e '/KTRACE/d' \
		-e '/SYSVMSG/d' \
		-e 's/GENERIC/BOOTMFS/g'

	echo "options  NFS_NOSERVER" 
	echo "options  SCSI_NO_OP_STRINGS" 
	echo "options  SCSI_NO_SENSE_STRINGS"
	;;
esac
